EBOOK-META(1)

NAME
ebook-meta - ebook-meta

            ebook-meta ebook_file [options]

Read/Write metadata from/to e-book files.

Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbc, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, kepub, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip

Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, kepub, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz

Different file types support different kinds of metadata. If you try to set some metadata on a file type that does not support it, the metadata will be silently ignored.

Whenever you pass arguments to ebook-meta that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPCIOJ]

    --author-sort
        String to be used when sorting by author. If unspecified, and the author(s) are specified, it will be auto-generated from the author(s).

    --authors, -a
        Set the authors. Multiple authors should be separated by the & character. Author names should be in the order Firstname Lastname.

    --book-producer, -k
        Set the book producer.

    --category
        Set the book category.

    --comments, -c
        Set the e-book description.

    --cover
        Set the cover to the specified file.

    --date, -d
        Set the published date.

    --disallow-rendered-cover
        For formats like EPUB that use a "default cover" of the first page rendered, disallow such default covers

    --from-opf
        Read metadata from the specified OPF file and use it to set metadata in the e-book. Metadata specified on the command line will override metadata read from the OPF file

    --get-cover
        Get the cover from the e-book and save it at as the specified file.

    --help, -h
        show this help message and exit

    --identifier
        Set the identifiers for the book, can be specified multiple times. For example: --identifier uri:https://acme.com --identifier isbn:12345 To remove an identifier, specify no value, --identifier isbn: Note that for EPUB files, an identifier marked as the package identifier cannot be removed.

    --index, -i
        Set the index of the book in this series.

    --isbn
        Set the ISBN of the book.

    --language, -l
        Set the language.

    --lrf-bookid
        Set the BookID in LRF files

    --publisher, -p
        Set the e-book publisher.

    --rating, -r
        Set the rating. Should be a number between 1 and 5.

    --series, -s
        Set the series this e-book belongs to.

    --tags
        Set the tags for the book. Should be a comma separated list.

    --title, -t
        Set the title.

    --title-sort
        The version of the title to be used for sorting. If unspecified, and the title is specified, it will be auto-generated from the title.

    --to-opf
        Specify the name of an OPF file. The metadata will be written to the OPF file.

    --version
        show program's version number and exit

Author
Kovid Goyal

Copyright
Kovid Goyal